from pydantic import BaseModel, Field, HttpUrl
from typing import Any, List, Optional

class ResultDomain(BaseModel):
    code: int = Field(..., description="状态码",)
    message: str = Field(..., description="消息")
    success: bool = Field(..., description="是否成功")
    data: Optional[Any] = Field(default=None, description="数据")
    dataList: Optional[List[Any]] = Field(default=None, description="数据列表")
